$global-left: $fr-left;
$global-right: $fr-right;

@mixin pos($fr-top: none, $fr-right: none, $fr-bottom: none, $fr-left: none) {
  @if $top != none {
    top: $top;
  }

  @if $fr-right != none {
    #{$global-right}: $fr-right;
  }

  @if $bottom != none {
    bottom: $bottom;
  }

  @if $fr-left != none {
    #{$global-left}: $fr-left;
  }
}

@mixin gradient($rad, $color1, $color2, $default) {
  background: $default; /* fallback for old browsers */
  background: -webkit-linear-gradient(
    $rad,
    $color1,
    $color2
  ); /* Chrome 10-25, Safari 5.1-6 */
  background: linear-gradient(
    $rad,
    $color1,
    $color2
  ); /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
}

@mixin flipx() {
  transform-origin: center center;
  -webkit-transform-origin: center center;
  -moz-transform-origin: center center;
  -webkit-transform: rotateY(180deg);
  transform: rotateY(180deg);
}

@mixin flipy() {
  transform-origin: center center;
  -webkit-transform-origin: center center;
  -moz-transform-origin: center center;
  -webkit-transform: rotateX(180deg);
  transform: rotateX(180deg);
}

@mixin flipIfMobile {
  @if $direction == rtl {
    @include flipx();
  }
}

@mixin center() {
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate3d(-50%, -50%, 0);
}

@mixin centerx() {
  left: 50% !important;
  transform: translateX(-50%);
  -webkit-transform: translateX(-50%);
}

@mixin centery() {
  top: 50% !important;
  transform: translateY(-50%);
  -webkit-transform: translateY(-50%);
}

@mixin flex() {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
}

@mixin alignItems($align) {
  -webkit-box-align: $align;
  -ms-flex-align: $align;
  align-items: $align;
}

@mixin justifyContentBetwen() {
  -webkit-box-pack: justify;
  -ms-flex-pack: justify;
  justify-content: space-between;
}

@mixin justifyContentEnd() {
  -webkit-box-pack: end;
  -ms-flex-pack: end;
  justify-content: flex-end;
}
@mixin justifyContentStart() {
  -webkit-box-pack: start;
  -ms-flex-pack: start;
  justify-content: flex-start;
}

@mixin justifyContentCenter() {
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
}

@mixin flexWrap() {
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
}

@mixin flexWidth($w) {
  flex: 0 0 $w;
  max-width: $w;
  width: 100%;
}

@mixin bringChildsToFront($z: 2) {
  & > * {
    position: relative;
    z-index: $z;
  }
}

// Convertir Pixel to Rem
@mixin pxToRem($number, $baseNumber: 16) {
  font-size: calc($number / $baseNumber) + rem;
}
@mixin pxToRemResp($numberWeb, $numberMd, $numberMobile, $baseNumber: 16) {
  // Web
  font-size: calc($numberWeb / $baseNumber) + rem;
  // Medium
  @media screen and(max-width: 1024px) {
    font-size: calc($numberMd / $baseNumber) + rem;
  }
  // Mobile
  @media screen and(max-width: 768px) {
    font-size: calc($numberMobile / $baseNumber) + rem;
  }
}
@for $i from 8 to 54 {
  .fr-text-#{$i} {
    @include pxToRem($i);
  }
}

@mixin overlay($zIndex: 2, $opacity: 0.7, $bg: #000) {
  background: $bg;
  opacity: $opacity;
  z-index: $zIndex;
  position: absolute;
  content: "";
  @include pos(0, 0, 0, 0);
}

@mixin boxshadow($level: 1) {
  @if $level==1 {
    box-shadow: rgba(0, 0, 0, 0.055) 0 0 2px;
    -webkit-box-shadow: rgba(0, 0, 0, 0.055) 0 0 2px;
  } @else if $level == 2 {
    box-shadow: rgba(0, 0, 0, 0.2) 0 0px 4px;
    -webkit-box-shadow: rgba(0, 0, 0, 0.2) 0 0px 4px;
  } @else if $level == 3 {
    box-shadow: rgba(0, 0, 0, 0.1) 8px 10px 30px 0px;
    -webkit-box-shadow: rgba(0, 0, 0, 0.1) 8px 10px 30px 0px;
  } @else if $level == 4 {
    box-shadow: rgba(0, 0, 0, 0.2) 0px 10px 30px 0px;
    -webkit-box-shadow: rgba(0, 0, 0, 0.2) 0px 10px 30px 0px;
  } @else if $level == 5 {
    box-shadow: rgba(0, 0, 0, 0.3) 8px 10px 37px 0px;
    -webkit-box-shadow: rgba(0, 0, 0, 0.3) 8px 10px 37px 0px;
  }
}

@mixin cirlce($w) {
  width: $w;
  height: $w;
  line-height: $w;
  text-align: center;
  border-radius: 100vw;
}

@mixin prefix() {
  content: "";
  position: absolute;
}
